Does Nifi-ambari reporting supports Ambari version 2.1.1

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

Does Nifi-ambari reporting supports Ambari version 2.1.1

shweta
Hi all,

We are facing issue in setting up nifi service in Ambari (version 2.1.1). Getting following exception
"unsupported or invalid service in stack".
Just want to make sure that it is or not due to version incompatibility.

Thanks,
Shweta
Reply | Threaded
Open this post in threaded view
|

Re: Does Nifi-ambari reporting supports Ambari version 2.1.1

Joe Witt
Shweta,

Have you had a chance to run through the instructions here
https://cwiki.apache.org/confluence/display/NIFI/Ambari+Metrics?

I also am not sure which version we support.  We definitely should
have that documented but it wasn't immediately obvious if we do.
Bryan?

Thanks
Joe

On Sat, Feb 6, 2016 at 7:36 AM, shweta <[hidden email]> wrote:

> Hi all,
>
> We are facing issue in setting up nifi service in Ambari (version 2.1.1).
> Getting following exception
> "unsupported or invalid service in stack".
> Just want to make sure that it is or not due to version incompatibility.
>
> Thanks,
> Shweta
>
>
>
> --
> View this message in context: http://apache-nifi-developer-list.39713.n7.nabble.com/Does-Nifi-ambari-reporting-supports-Ambari-version-2-1-1-tp7178.html
> Sent from the Apache NiFi Developer List mailing list archive at Nabble.com.
Reply | Threaded
Open this post in threaded view
|

Re: Does Nifi-ambari reporting supports Ambari version 2.1.1

shweta
Yes Joe, we followed that same document.


Regards,
Shweta
Reply | Threaded
Open this post in threaded view
|

Re: Does Nifi-ambari reporting supports Ambari version 2.1.1

Bryan Bende
Joe/Shweta,

I view the Ambari stuff as two different pieces... the AmbariReportingTask
in NiFi which was developed against Ambari 2.1, but I believe should work
against any 2.X version because the Ambari Metrics Service was introduced
in 2.0.0. The reporting task can send over metrics independent of the
service definition, there does not even need to be a NiFi service installed
in Ambari for the metrics to be sent over.

The service definition is what installs the service in Ambari and gives you
the dashboard so you can see the metrics. The service definition that is
provided on the Wiki page is an example service that works only with HDP
2.3. The directory structure would have to be modified for a different
version. It may be as simple as changing "stacks/HDP/2.3" to
"stacks/HDP/<your_version>".

-Bryan


On Sat, Feb 6, 2016 at 11:11 AM, shweta <[hidden email]> wrote:

> Yes Joe, we followed that same document.
>
>
> Regards,
> Shweta
>
>
>
> --
> View this message in context:
> http://apache-nifi-developer-list.39713.n7.nabble.com/Does-Nifi-ambari-reporting-supports-Ambari-version-2-1-1-tp7178p7180.html
> Sent from the Apache NiFi Developer List mailing list archive at
> Nabble.com.
>
Reply | Threaded
Open this post in threaded view
|

Re: Does Nifi-ambari reporting supports Ambari version 2.1.1

shweta
Thanks Bryan !! that worked.

Regards,
Shweta